/* ==========================
   FONTES
========================== */
@font-face {
  font-family: 'Helvetica Neue';
  src: url('fonts/HelveticaNeue.woff2') format('woff2'),
       url('fonts/HelveticaNeue.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

/* ==========================
   RESET E BASE
========================== */
*,
*:before,
*:after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body, a, button {
  cursor: none !important;
}

html {
  font-size: calc(100vw / 1512 * 10);
}

body {
  font-family: 'helvetica neue', sans-serif; /* devia ser 'Helvetica Neue', maiúsculas e correto */

  background-color: #000;
  color: #fff;
  height: 100vh;
  overflow: hidden;
  cursor: none;
}

/* ==========================
   SLIDESHOW
========================== */
.slideshow {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.slide {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  visibility: hidden;
  overflow: hidden;
  transform-origin: center;
}

.slide.active {
  visibility: visible;
}

.slide__img {
  position: absolute;
  top: -10%;
  left: -10%;
  width: 120%;
  height: 120%;
  background-size: cover;
  background-position: center;
  will-change: transform;
  transform-origin: center;
}

.slide__img::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0) 40%);
}

.slide__text {
  position: absolute;
  bottom: 5rem;
  left: 5rem;
  max-width: 80%;
  overflow: hidden;
  z-index: 5;
}

.slide__text-line {
  display: block;
  font-size: 4.5rem;
  line-height: 1;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 0rem;
  transform: translateY(100%);
  opacity: 0;
}

/* ==========================
   CONTROLES
========================== */
.controls {
  position: fixed;
  top: 2rem;
  right: 2rem;
  z-index: 10;
}

.controls-text {
  color: #fff;
  font-size: 2rem;
  font-weight: 400;
}

.slide-counter {
  position: fixed;
  bottom: 2rem;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  align-items: center;
  font-size: 1rem;
  font-weight: 700;
  letter-spacing: 0.05em;
  z-index: 10;
  font-size: 1rem;
}

.counter-container {
  position: relative;
  min-width: 2rem;
  height: 1.2rem;
  overflow: hidden;
  text-align: right;
}

.counter-strip {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  text-align: right;
}

.counter-number {
  height: 1.2rem;
  display: block;
}

.counter-separator {
  width: 40px;
  height: 1px;
  background-color: #fff;
  margin: 0 1rem;
}

.counter-total {
  min-width: 2rem;
  text-align: left;
}

.slide-info {
  position: fixed;
  top: 2rem;
  left: 2rem;
  font-size: 0.8rem;
  font-weight: 400;
  opacity: 0.7;
  z-index: 10;
  max-width: 15rem;
}

.slide-info-title {
  margin-bottom: 0.5rem;
}

/* MENU TOGGLE */
.menu-toggle {
  position: relative;
  width: 40px;
  height: 40px;
  background: none;
  border: none;
  z-index: 10000000;
  display: flex;
  align-items: center;
  justify-content: center;
}

.menu-toggle-bar {
  position: absolute;
  left: 8px;
  width: 24px;
  height: 2px;
  background: #fff;
  border-radius: 2px;
  transition: all 0.4s cubic-bezier(.68,-0.55,.27,1.55);
}

.menu-toggle-bar:nth-child(1) { top: 12px; }
.menu-toggle-bar:nth-child(2) { top: 18px; }
.menu-toggle-bar:nth-child(3) { top: 24px; }

/* CÍRCULO */
.menu-toggle-circle {
  position: absolute;
  left: 0;
  top: 0;
  width: 40px;
  height: 40px;
  border: 2px solid #fff;
  background-color: #ffffff00;
  border-radius: 50%;
  opacity: 0;
  transform: scale(0.7);
  transition: opacity 0.3s, transform 0.4s;
  pointer-events: none;
}

/* ESTADO ATIVO (CRUZ + CÍRCULO) */
.menu-toggle.open .menu-toggle-bar:nth-child(1) {
  top: 18px;
  transform: rotate(45deg);
}
.menu-toggle.open .menu-toggle-bar:nth-child(2) {
  opacity: 0;
}
.menu-toggle.open .menu-toggle-bar:nth-child(3) {
  top: 18px;
  transform: rotate(-45deg);
}
.menu-toggle.open .menu-toggle-circle {
  opacity: 1;
  transform: scale(1);
}

/* FULLSCREEN MENU */
.fullscreen-menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: linear-gradient(to right, #807a74 50%,  #f0dbc8 50%);
  overflow: hidden;
  color: #fff;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  animation-delay: 1s;
  transform: translateX(100%);
  animation: ease-in-out 1s;
  transform: translateY(-100%);
  transition: transform 1s cubic-bezier(.40,-0.30,.10,1), 
              opacity 0.8s;
}

.fullscreen-menu.open {
  opacity: 1;
  transform: translateX(0%);
}

.fullscreen-menu-nav {
  width: 100vw;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: row;
}

.fullscreen-menu-nav ul {
  width: 100vw;
  letter-spacing: -0.02rem;
  max-width: none;
  padding: 0;
  margin: 10rem;
  text-align: left;
  justify-content: center;
  display: block;
  text-decoration: none;
  list-style-type: none;
  
}

.fullscreen-menu-logo2 {
  width: 30rem;
  height: 30rem;
  max-width: none;
  padding: 0;
  margin: 30rem;  
  justify-content: center;
}

.fullscreen-menu-nav ul li {
  margin-left: 0rem;
}

.fullscreen-menu-nav ul li a {
  display: block;
  font-family: 'helvetica neue', sans-serif; /* devia ser 'Helvetica Neue', maiúsculas e correto */

  width: 60%;
  padding: 2rem 0rem;
  background: transparent;
  color: white;
  letter-spacing: 0rem;
  font-size: 7rem;
  text-decoration: none;
  font-weight: 400;
 
  line-height: 1;
  max-width: 80%;  
  overflow: hidden;
  opacity: 0;
  transform: translateY(30px);
  transition: all 0.6s cubic-bezier(0.33, 1, 0.68, 1);
  z-index: 1;
  border-radius: 0;
  position: relative;
}

.fullscreen-menu-nav ul li a::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 80%;
  height: 0%;
  background: linear-gradient(to top, #ffffff 70%, #ffffff 100%);
  z-index: -1;
  transition: height 0.8s cubic-bezier(.68,-0.55,.27,1.55);
}

.fullscreen-menu-nav ul li a:hover::before {
  height: 100%;
  width: 80%;
}

.fullscreen-menu-nav ul li a:hover {
  color: #807a74;
}

.fullscreen-menu-nav ul li a span {
  position: relative;
  z-index: 2;
}

/* INFORMAÇÃO FIXA */
.information p, .information2 p {
  position: fixed;
  bottom: 12.5rem;
  font-size: 1.2rem;
  font-weight: 200;
  opacity: 0.7;
  z-index: 10;
  max-width: 30rem;
  font-family: 'Roboto Condensed', sans-serif;
  text-transform: uppercase;
  text-align: justify;
}

.information p { left: 82rem; }
.information2 p { left: 124rem; }

/* ==========================
   NAVBAR
========================== */
.navbar {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 24px 40px 0 40px;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1000000001;
}

.navbar-left {
  display: flex;
  align-items: center;
}

.navbar-logo {
  height: 4.2rem;
  margin-right: 6px;
}

.navbar-title {
  color: #fff;
  font-size: 2rem;
  font-weight: 700;
  letter-spacing: -0.2px;
  text-decoration: none;
}

.navbar-right {
  display: flex;
  align-items: center;
}

.navbar-menu-label {
  color: #fff;
  font-size: 1.8rem;
  font-weight: 600;
  margin-right: 12px;
  letter-spacing: 1px;
}

/* ==========================
   CURSOR PERSONALIZADO
========================== */
.cursor {
  width: 40px;
  height: 40px;
  border-radius: 100%;
  border: 1px solid white;
  background-color: rgba(192, 192, 192, 0.774);
  transition: all 200ms ease-out;
  position: fixed;
  pointer-events: none;
  left: 0;
  top: 0;
  transform: translate(calc(-50% + 15px), -50%);
  z-index: 2000;
}

.cursor2 {
  width: 20px;
  height: 20px;
  border-radius: 100%;
  background-color: rgb(0, 70, 78);
  position: fixed;
  transform: translate(-50%, -50%);
  pointer-events: none;
  transition: width .3s, height .3s, opacity .3s;
  z-index: 2000;
}

.hover { background-color: blue; opacity: 0.5; }

.cursorinnerhover {
  width: 50px;
  height: 50px;
  opacity: .5;
}

/* ==========================
   RESPONSIVO
========================== */
@media (max-width: 768px) {
  .slide__text {
    bottom: 3rem;
    left: 2rem;
    max-width: 90%;
  }

  .slide__text-line {
    font-size: 3rem;
  }
}

/* ==========================
   PRELOADER
========================== */
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: #fff;
  overflow: hidden;
  z-index: 3000;
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
  padding: 40px;
  font-family: 'Helvetica Neue', sans-serif;
}

.loader-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #fff;
  transform: scaleY(1);
  transform-origin: top;
  transition: transform 2s cubic-bezier(.77,0,.18,1);
  z-index: 2;
}

.loader-counter {
  font-size: 12rem;
  font-weight: 600;
  color: #434040;
  position: relative;
  z-index: 3;
  font-family: 'Roboto Condensed', sans-serif;
}

#preloader.hidden .loader-overlay { transform: scaleY(0); }

#preloader.hidden {
  pointer-events: none;
  transition: opacity 1.2s ease 0.6s;
  opacity: 0;
}

#site-content { opacity: 0; transition: opacity 1.2s ease 0.6s; }
#site-content.visible { opacity: 1; }

/* ==========================
   INFORMAÇÃO FIXA
========================== */
.information p, .information2 p, .social-button-container {
  position: fixed;
  font-size: 1.2rem;
  font-weight: 200;
  opacity: 0.7;
  z-index: 10;
  max-width: 30rem;
  font-family: 'Roboto Condensed', sans-serif;
  text-align: justify;
  text-transform: uppercase;
}

.information p { bottom: 12.5rem; left: 82rem; }
.information2 p { bottom: 12.5rem; left: 124rem; }
.social-button-container { bottom: 8rem; left:110rem ;max-width: 60rem; }

.social-button {
  flex: 1;
  padding: 2rem;
  cursor: pointer;
  z-index: 2;
  flex: 1;
   text-align: center;
  font-size: 2rem;
  text-decoration: none;
  text-align: center;
  font-size: 2rem;
  text-decoration: none;
  color: white;
  border: 0.2rem solid white;
  background-color: transparent;
  transition: all 0.3s ease;
  font-family: 'Helvetica Neue', sans-serif;
  margin: 2rem;
  font-weight: 400;
  z-index: 100000000000001;
   
}

.social-button:hover { background-color: white; color: rgb(0, 0, 0); }



.arvore img {
  position: fixed;
  bottom: -5rem;
  left: 73rem;
  width: 80rem;
  height: 80rem;
  opacity: 0.8;
  z-index: 1;
}

/* ==========================
   LOADER CENTER TEXT
========================== */
.loader-center-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  z-index: 3;
}

.loader-name {
  font-size: 2rem;
  font-weight: bold;
  color: #434040;
  margin: 0;
}

.loader-title {
  font-size: 1.2rem;
  color: #7a7979;
  margin: 5px 0 0;
}

/* ==========================
   OUTROS
========================== */
.cloneable {
  padding: var(--section-padding) var(--container-padding);
  justify-content: center;
  align-items: center;
  min-height: 100svh;
  display: flex;
  position: relative;
  --menu-padding: 2em;
}
/* ==========================
   CONTACT FORM
========================== */
.contact-section {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  padding: 0 5rem;
  background-color: #07b0a7;
}

.contact-form {
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(10px);          
  -webkit-backdrop-filter: blur(10px);  
  padding: 2rem;
  box-shadow: 0 8px 32px rgba(0,0,0,0.2);
  display: flex;
  flex-direction: column;
  gap: 2rem;
  width: 80rem;
  padding: 2rem;
    z-index: 2;
}

.contact-form input,
.contact-form textarea {
  background: rgba(255, 255, 255, 0);
  backdrop-filter: blur(10px);          
  -webkit-backdrop-filter: blur(10px);  
  border: none;
  border-bottom: 1px solid #ffffff00;
  color: #ffffff;
  font-size: 1.8rem;
  padding: 1rem 0;
  outline: none;
  transition: border-color 0.3s;
  padding: 0.4rem;
  
}

.contact-form input::placeholder,
.contact-form textarea::placeholder {
  color: rgba(255, 255, 255, 0.196);
}

.contact-form input:focus,
.contact-form textarea:focus {
  border-color: beige;
}

.contact-form button {
  align-self: flex-end;
  background-color: transparent;
  color: #150606;
  border: white 0.2rem solid;
  padding: 1.5rem 3rem;
  font-size: 1.8rem;
  font-weight: 400;
  cursor: pointer;
  transition: background-color 0.3s;
}

.contact-form button:hover {
  background-color: white;
  color: black;
}


#bg-video {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  object-fit: cover;
  z-index: 0;
  pointer-events: none;
}

.marca {
  position: fixed;
  top: 15rem;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1000000001;
  height: 4.2rem; 
  font-size: 4rem;
  font-weight: 700;
  font-family: 'helvetica neue', sans-serif; /* devia ser 'Helvetica Neue', maiúsculas e correto */

  z-index: 1;
  color: white;

}






/* BOTÃO */
#show-form-btn {
  position: fixed;
  bottom: 10%;
  left: 40%;
  padding: 1rem 2rem;
  font-size: 1.5rem;
  cursor: pointer;
  z-index: 2;
  flex: 1;
  padding: 2rem;
  text-align: center;
  font-size: 2rem;
  text-decoration: none;
  color: black;
  border: 0.2rem solid white;
  background-color: white;
  transition: all 0.3s ease;
  font-family: 'Helvetica Neue', sans-serif;
  margin: 3rem;
  z-index: 2;
  text-transform: uppercase;
  font-weight: 400;
}
#show-form-btn:hover {
  background:#7a7979;
  color: white;
    border: 0.2rem solid #7a7979;

}
  


/* FORMULÁRIO SOBRE O VIDEO */
.form-overlay {
  position: fixed;
  top: 35%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0.8);
  background: rgb(255, 255, 255);
  backdrop-filter: blur(12px);
  flex-direction: column;
  gap: 1rem;
  padding: 3rem;
  width: 90%;
  max-width: 100rem;
  height: 43rem;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.5s ease, transform 0.5s ease;
  z-index: 4;
  color: #fff;
  font-family: 'Helvetica Neue', sans-serif;
}

/* ATIVO */
.form-overlay.active {
  opacity: 1;
  pointer-events: auto;
  transform: translate(-50%, -50%) scale(1);
}

.form-overlay h2 {
  margin-bottom: 1.5rem;
  text-align: center;
}

.form-overlay input {
  display: block;
  width: 100%;
  margin-bottom: 1rem;
  padding: 1rem;
  background: rgb(255, 255, 255);
  border: none;
  border-bottom: 1px solid #030303;
   color: #000000;
  font-size: 2.3rem;
  font-family: 'helvetica neue', sans-serif;
  font-weight: 400;
}

.form-overlay input:focus,
.form-overlay textarea:focus {
  outline: none; /* garante que ao escrever também não apareça */
  border-bottom: 1px solid #030303; /* mantem a linha de baixo */
}
.form-overlay input::placeholder {
  color: rgba(66, 66, 66, 0.7);
}

.form-overlay button {
  padding: 1.5rem 3rem;
  font-size: 2rem;
  color: #000;
  border: 0.2rem solid white;
  background-color: transparent;
  transition: all 0.3s ease;
  font-family: 'Helvetica Neue', sans-serif;
  margin-left: auto; /* faz ele ir para a direita */
  display: block;
}



.form-overlay button:hover {
  background: rgb(99, 98, 98);
  color: white;

}


.page-transition {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.15); /* semi-transparente */
  backdrop-filter: blur(20px);
  -webkit-backdrop-filter: blur(20px);
  opacity: 0;
  pointer-events: none;
  z-index: 9999;
}

/* BOTÃO WHATSAPP */
#whatsapp-btn {
  position: fixed;
  bottom: 15rem;
  right: 5.5rem; /* à direita, podes ajustar */
  padding: 2rem;
  
  font-size: 2rem;
  text-align: center;
  text-decoration: none;
  color: white;
  border: 0.2rem solid white;
  background-color: transparent;
  transition: all 0.3s ease;
  font-family: 'Helvetica Neue', sans-serif;
  text-transform: uppercase;
  font-weight: 400;
  z-index: 2;
  border-radius: 0; /* quadrado */
}

#whatsapp-btn:hover {
  background-color: rgb(249, 251, 250);
  color: black;
}

